Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

projectId
string
required

The ID of the Project to list Metrics for.

Example:

"314"

Query Parameters

limit
integer
default:20

Maximum number of items to return (1-100). Use with cursor for pagination through large sets.

Example:

20

cursor
string

Cursor for pagination. Pass the nextCursor from the previous response to get the next page of results.

Example:

"123"

Response

Successfully retrieved Metrics.

data
(AI int metric · object | Human int metric · object | Heuristic int metric · object | AI float metric · object | Human float metric · object | Heuristic float metric · object | AI boolean metric · object | Human boolean metric · object | Heuristic boolean metric · object)[]
required

A Metric defines how to evaluate system outputs against expected results.

nextCursor
string | null
required
hasMore
boolean
required
total
integer
Required range: x >= 0